> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Story Details

> Get Instagram Story Details

<Note>
  **General Instructions:**

  * The `id` **masterID** is required to get access to that Social Account posts.
  * At least one should be used: `postID` or `postURL`
  * Make sure you run **Get User Posts** endpoint at least one time for the month the post was published in before using this endpoint.
</Note>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "post": [
      {
        "postDetails": {
          "postID": "18094856416500038",
          "postImage": "",
          "videoLink": "https://scontent-hel3-1.cdninstagram.com/o1/v/t2/f2/m86/AQMbBrOXUd2Lvm8n6-gVZSSJPrMwqC7s_8iA2FlIwUJjPc-3P_hA7oVp32tVkcoP9qXK9Mc0bNFZHxKS9JyUo2zVWJ4_TmhKbRzx_VM.mp4?_nc_cat=101&_nc_sid=5e9851&_nc_ht=scontent-hel3-1.cdninstagram.com&_nc_ohc=6JpQLLK15KgQ7kNvwG7g9bn&efg=eyJ2ZW5jb2RlX3RhZyI6Inhwdl9wcm9ncmVzc2l2ZS5JTlNUQUdSQU0uQ0xJUFMuQzMuNDgwLmRhc2hfYmFzZWxpbmVfMV92MSIsInhwdl9hc3NldF9pZCI6MTAzNjg0OTM2ODM2NTcxNywidmlfdXNlY2FzZV9pZCI6MTAwOTksImR1cmF0aW9uX3MiOjExLCJ1cmxnZW5fc291cmNlIjoid3d3In0%3D&ccb=17-1&vs=7f30235dbb2c2ec1&_nc_vs=HBksFQIYUmlnX3hwdl9yZWVsc19wZXJtYW5lbnRfc3JfcHJvZC81ODRDQ0U1NDJEN0IzRDBCMURCRTg0MDQ0OUJDMkJCMl92aWRlb19kYXNoaW5pdC5tcDQVAALIARIAFQIYOnBhc3N0aHJvdWdoX2V2ZXJzdG9yZS9HTm80U1IzZlFBSzAwdEFHQUhMeE1Rb19VS0FnYnFfRUFBQUYVAgLIARIAKAAYABsCiAd1c2Vfb2lsATEScHJvZ3Jlc3NpdmVfcmVjaXBlATEVAAAmqurL5MnA1wMVAigCQzMsF0AnIcrAgxJvGBJkYXNoX2Jhc2VsaW5lXzFfdjERAHX-B2XmnQEA&_nc_gid=9PXb43HeSdm8OmCOR_emMQ&edm=AL-3X8kEAAAA&_nc_zt=28&oh=00_AfXdG149ztjVt5e7aKssFSE0QfiH83AmGn9hreBL5CKvyg&oe=689E26D6",
          "postUrl": "https://www.instagram.com/reel/DI67SPczjmt/",
          "dataId": "17841400005463628_18094856416500038",
          "date": "26-04-2025",
          "dateISO": "2025-04-26T19:24:48.000Z",
          "likes": 251412,
          "dislikes": 0,
          "comments": 3610,
          "rePosts": 0,
          "views": 0,
          "pollVotes": 0,
          "videoViews": 0,
          "type": "REELS",
          "types": [
            "text_big",
            "REELS"
          ],
          "hashTags": [],
          "text": "This one stopped me in my tracks. We had too much complicated father/son stuff that was just left unsaid. Then it was too late. \n\nMy wife’s father, Sib Hashian passed away in 2017 (you guys may remember him as the drummer from the rock band Boston 🥁) and since then he always “visits” her and her siblings in many forms, letting them know that he’s always here for them. It’s beautiful to see and their connection with their dad - even in the afterlife - always moves me. \n\nA few days ago, she asked me, “Does your dad ever visit you?” \n\nI said “No, I don’t think so. \nMaybe it’s because our relationship was too complicated and distraught when he died.” \n\nShe said “Maybe you should just invite him to visit you. I have a feeling he doesn’t know what to do and he’s waiting.” \n\nSo I did. \n\nThen the NEXT DAY this post popped up in my feed of my dad. He’s waving 👋🏾 and smiling away. He wasn’t a big smiler, but man he looks so happy and at peace here which makes my heart sing 🥹\n\nHaving unresolved conflict with loved ones who then suddenly pass away, can be brutal. A real punch in the gut. \n\nBut I think my dad’s spirit just needs some closure and to know “you and I are good dad and everything is gonna be alright.” \n\nCome visit anytime. \n\nwrestleuncut 🙏🏾\njayglazer 🫱🏾‍🫲🏼",
          "textLength": 1285,
          "fromOwner": true,
          "isAd": false,
          "mentions": [],
          "mentionsText": []
        },
        "postStats": {
          "interactions": 255022,
          "er": 0.000646820536004931,
          "viewsER": 0,
          "videoViewsER": 0,
          "indexGrade": -1.54222610007059,
          "mainGrade": "c"
        }
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/instagram-story-details
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/instagram-story-details:
    get:
      tags:
        - Workflow
      description: Triggers the workflow instagram-story-details
      operationId: get_wf_instagram-story-details
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get User Account**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: If you would like to include Profile details, set this to `true`
          schema:
            type: boolean
            default: false
        - name: postID
          in: query
          required: false
          description: >-
            Example: postID `18062774131888505` , To get this use this endpoint:
            **Get User Posts**
          schema:
            type: string
        - name: postURL
          in: query
          required: false
          description: >-
            Example: postURL `https://www.instagram.com/p/DJovQNWOKY1` , To get
            this use this endpoint: **Get User Posts**
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````